
import React from 'react'
import LayoutModal from '../../Layout/Dashboard/LayoutModal'
import FormProduct from './FormProduct'
import { InitialValues, getDataToSend, getInitialValues, getValidationSchema } from './formUtil'
import { usePageState } from '../../lib/state mangment/LayoutPagestate'
import { QueryStatusEnum } from '../../config/QueryStatus'
import { useUpdateProduct } from '../../api/product'

function EditProductModal() {
  const {objectToEdit} = usePageState()
  const {status, mutate} = useUpdateProduct();

  const handleSubmit = (value:InitialValues)=>{
    const dataToSend = getDataToSend({...value})
    console.log(value);
    
    mutate(dataToSend)
}
  
  return (
    <LayoutModal 
     isAddModal={false}
     getInitialValues={getInitialValues(objectToEdit)} 
     handleSubmit={handleSubmit}
     status={status as QueryStatusEnum}
     headerText='Edit Modal' 
     getValidationSchema={getValidationSchema(objectToEdit)}>
      <FormProduct />
    </LayoutModal>
  )
}

export default EditProductModal
